Name: cpio
Version: 2.5
Release: alt4

Summary: A GNU archiving program
License: GPL
Group: Archiving/Backup
Url: http://www.fsf.org/software/%name

Source: ftp://prep.ai.mit.edu/pub/gnu/%name-%version.tar.bz2
Patch1: %name-2.5-rh-glibc.patch
Patch2: %name-2.4.2-rh-mtime.patch
Patch3: %name-2.4.2-rh-svr4compat.patch
Patch4: %name-2.4.2-rh-stdout.patch
Patch5: %name-2.4.2-rh-errorcode.patch
Patch6: %name-2.4.2-rh-man.patch
Patch7: %name-2.4.2-alt-texinfo.patch
Patch8: %name-2.5-freebsd-rh-alt.patch
Patch9: %name-2.5-alt-static.patch
Patch10: %name-2.5-alt-error_verbose.patch

Requires(post,preun): %__install_info

# Automatically added by buildreq on Fri Apr 11 2003
BuildRequires: glibc-devel-static

%package static
Summary: Static version of the GNU cpio
Group: Archiving/Backup
Requires: %name = %version-%release

%description
GNU cpio copies files into or out of a cpio or tar archive.  Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions.  The archive can be another file on the disk, a magnetic
tape, or a pipe.  GNU cpio supports the following archive formats:  binary,
old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old tar and POSIX.1
tar.  By default, cpio creates binary format archives, so that they are
compatible with older cpio programs.  When it is extracting files from
archives, cpio automatically recognizes which kind of archive it is reading
and can read archives created on machines with a different byte-order.

%description static
This package contains statically linked version of the GNU cpio program.

%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1
#%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
export ac_cv_lib_nsl=no
%configure
%make_build

%install
%makeinstall bindir=$RPM_BUILD_ROOT%_bindir mandir=$RPM_BUILD_ROOT%_man1dir
%__mkdir_p $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%_bindir/%name $RPM_BUILD_ROOT/bin/

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files
/bin/%name
%_infodir/*.info*
%_mandir/man?/%name.*
%doc ChangeLog NEWS README

%files static
%_bindir/%name.static

%changelog
* Fri Apr 11 2003 Dmitry V. Levin <ldv@altlinux.org> 2.5-alt4
- Updated buildrequires.

* Thu Mar 20 2003 Dmitry V. Levin <ldv@altlinux.org> 2.5-alt3
- Build static version of the GNU cpio program.
- Added more verbosity to error messages.

* Tue Oct 29 2002 Dmitry V. Levin <ldv@altlinux.org> 2.5-alt2
- Rebuilt in new environment.

* Thu Aug 01 2002 Dmitry V. Levin <ldv@altlinux.org> 2.5-alt1
- 2.5, 5 patches merged upstream.

* Mon Oct 08 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.2-ipl18mdk
- Merged patches (redhat, debian).

* Wed Jan 10 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.2-ipl17mdk
- Fixed texinfo documentation.

* Wed Jul 12 2000 Dmitry V. Levin <ldv@fandra.org> 2.4.2-ipl16mdk
- RE adaptions.

* Tue Jul 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.4.2-16mdk
- clean a lot the spec (macros, install fix by Stefan van der Eijk
  <s.vandereijk@chello.nl>)
- use spechelper

* Sat Jul 08 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4.2-16mdk
- fixed makeinstall problem
- some hassle getting the manpage in the right dir

* Thu Apr 4 2000 Denis Havlik <denis@mandrakesoft.com> 2.4.2-15mdk
- new Group: Archiving/Backup

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Specs files tweaks.
- Merge with rh patchs.
- fix infinite loop unpacking empty files with hard links (r).
- stdout chould contain progress information (r).

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Sat Dec  5 1998 Jeff Johnson <jbj@redhat.com>
- longlong dev wrong with "-o -H odc" headers (formerly "-oc").

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to compile on glibc 2.1, where strdup is a macro

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- Fiddle bindir/libexecdir to get RH install correct.
- Don't include /sbin/rmt -- use the rmt from dump package.
- Don't include /bin/mt -- use the mt from mt-st package.
- Add prereq's

* Tue Jun 30 1998 Jeff Johnson <jbj@redhat.com>
- fix '-c' to duplicate svr4 behavior (problem #438)
- install support programs & info pages

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot
- removed "(used by RPM)" comment in Summary

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- no longer statically linked as RPM doesn't use cpio for unpacking packages
